[comment {-*- tcl -*- doctools manpage}]
[manpage_begin tcl::transform::hex n 1]
[copyright {2009 Andreas Kupries <andreas_kupries@users.sourceforge.net>}]
[moddesc   {Reflected/virtual channel support}]
[category  Channels]
[titledesc {Hexadecimal encoding transformation}]
[require Tcl 8.6]
[require tcl::transform::core [opt 1]]
[require tcl::transform::hex [opt 1]]
[description]
[para]

The [package tcl::transform::hex] package provides a command creating
a channel transformation which hex encodes data written to it, and
decodes the data read from it.

[para] A related transformations in this module is
[package tcl::transform::base64].

[para] The internal [package TclOO] class implementing the transform
handler is a sub-class of the [package tcl::transform::core]
framework.

[section API]

[list_begin definitions]

[call [cmd ::tcl::transform::hex] [arg chan]]

This command creates a hex transformation on top of the channel
[arg chan] and returns its handle.

[list_end]


[section {BUGS, IDEAS, FEEDBACK}]

This document, and the package it describes, will undoubtedly contain
bugs and other problems.

Please report such in the category [emph virtchannel] of the
[uri {http://sourceforge.net/tracker/?group_id=12883} {Tcllib SF Trackers}].

Please also report any ideas for enhancements you may have for either
package and/or documentation.


[keywords hexadecimal transformation {channel transformation}]
[keywords {virtual channel} {reflected channel} {tip 230}]
[manpage_end]
